package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierOrderGetRequest struct {
	/*
	   查询参数     */
	SupplierOrderQueryListRequest *domain.AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest `json:"supplier_order_query_list_request,omitempty" required:"false" `
}

func (s *AlibabaWdkSupplierOrderGetRequest) SetSupplierOrderQueryListRequest(v domain.AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest) *AlibabaWdkSupplierOrderGetRequest {
	s.SupplierOrderQueryListRequest = &v
	return s
}

func (req *AlibabaWdkSupplierOrderGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SupplierOrderQueryListRequest != nil {
		paramMap["supplier_order_query_list_request"] = util.ConvertStruct(*req.SupplierOrderQueryListRequest)
	}
	return paramMap
}

func (req *AlibabaWdkSupplierOrderGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
